## anytree 2.13.0

=== Makefile ===
_GREEN:=\033[0;32m
_BLUE:=\033[0;34m
_BOLD:=\033[1m
_NORM:=\033[0m
ENV:=uv run --frozen --
PYTEST_OPTIONS=


.PHONY: help
help:  ## [DEFAULT] Show this help
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?##"}; {printf "${_BLUE}${_BOLD}%-10s${_NORM} %s\n", $$1, $$2}'


.PHONY: all
all:  ## Do everything taggged with [ALL] below
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | grep "\[ALL\]" | grep -v "^all" | awk 'BEGIN {FS = ":.*?##"}; {printf "%s ", $$1}' | xargs make
	@echo "\n    ${_GREEN}${_BOLD}PASS${_NORM}\n"


.PHONY: pre-commit
pre-commit: .venv/.valid .git/hooks/pre-commit ## [ALL] Run 'pre-commit' on all files
	${ENV} pre-commit run --all-files

.git/hooks/pre-commit: .venv/.valid
	${ENV} pre-commit install --install-hooks


.PHONY: test
test: .venv/.valid ## [ALL] Run Unittests via 'pytest' with {PYTEST_OPTIONS}
	${ENV} pytest -vv ${PYTEST_OPTIONS}
	@echo  "See coverage report:\n\n    file://${PWD}/htmlcov/index.html\n"


.PHONY: test2refdata
test2refdata: .venv/.valid ## Run Unittests via 'pytest' with {PYTEST_OPTIONS} and update tests/refdata
	rm -rf tests/refdata
	touch .test2ref
	${ENV} pytest -vv ${PYTEST_OPTIONS}
	@echo  "See coverage report:\n\n    file://${PWD}/htmlcov/index.html\n"
	rm .test2ref


.PHONY: checktypes
checktypes: .venv/.valid ## [ALL] Run Type-Checking via 'mypy'
	${ENV} mypy src


.PHONY: doc
doc: .venv/.valid ## [ALL] Build Documentation via 'mkdocs'
	${ENV} make html -C docs


.PHONY: code
code:  ## Start Visual Studio Code
	code anytree.code-workspace &


.PHONY: clean
clean:  ## Remove everything mentioned by '.gitignore' file
	git clean -Xdf


.PHONY: distclean
distclean:  ## Remove everything mentioned by '.gitignore' file and UNTRACKED files
	git clean -xdf


.PHONY: shell
shell:  ## Open a project specific SHELL. For leaving use 'exit'.
	${ENV} ${SHELL}


# Helper
.venv/.valid: pyproject.toml uv.lock
	uv sync --frozen
	@touch $@

uv.lock:
	uv lock

## anytree 2.12.1

=== debian/changelog ===
anytree (2.12.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Feb 2025 16:42:26 -0500

anytree (2.12.1-3) unstable; urgency=medium

  [ Mitchell Augustin ]
  * Update standards version

  [ Loïc Minier ]
  * Acknowledge no change NMU, thanks Boyuan Yang!
  * Add Bug link in patch Add-project-name-to-pyproject-toml.

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Tue, 28 Jan 2025 14:18:00 -0600

anytree (2.12.1-2) unstable; urgency=medium

  * Add project name to pyproject.toml (closes: #1094065)

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Mon, 27 Jan 2025 14:54:00 -0600

anytree (2.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Jul 2024 21:32:31 -0400

anytree (2.12.1-1) unstable; urgency=medium

  * Initial release. (closes: #1072301)
  * Add patch Fixed-tmpdir-race-condition-in-dotexport-test
    to fix dotexport tests

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Fri, 21 Jun 2024 14:03:00 -0500

=== debian/control ===
Source: anytree
Section: python
Priority: optional
Maintainer: Mitchell Augustin <mitchell@mitchellaugustin.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-poetry-core,
 python3-pytest,
 python3-six,
 graphviz
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/c0fec0de/anytree

Package: python3-anytree
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 graphviz
Description: Powerful and Lightweight Python Tree Data Structure with various plugins
 Anytree is a Python library designed to enable easy creation,
 manipulation, and visualization of tree data structures. It
 exposes a syntactically simple interface for defining and
 establishing relationships between nodes and offers convenient
 tools for rendering trees in readable formats.
 .
 Anytree can also be used to turn any class into a tree node
 simply by adding NodeMixin as a base class. Trees
 constructed using Anytree can also be easily visualized
 and exported as images with various styles via Graphviz.
 (For users of the exporter API, make sure to install graphviz.)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=anytree

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%anytree-$1.tar.gz%" \
      https://github.com/c0fec0de/anytree/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## anytree 2.13.0

=== debian/changelog ===
anytree (2.13.0-1) unstable; urgency=medium

  * New upstream release. Drop six dependency, add python3-pdm-backend,
    python3-pytest-cov, python3-test2ref (closes: #1102445)

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Mon, 23 Feb 2026 00:28:00 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
  pybuild-plugin-pyproject,
  python3-poetry-core,
  python3-pytest,
- python3-six,
+ python3-pytest-cov,
+ python3-pdm-backend,
+ python3-test2ref,
  graphviz
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.7.0
